# Object Oriented Programming Quicksheet Assessment

Tom, 

This is a thoughtful reflection on OOP and where it fits into your teaching practice. It doesn't 
need to be everywhere, and CSP doesn't feel like it's the right place for a heavy does of programming. 

While I'm generally not very interested in arguing about which programming language is best
for teaching, I do feel OOP and JavaScript don't really go well together. Recent versions 
of JS (ECMA 6) support a class syntax, but at its heart, JS is still grounded in prototypical
inheritance--subtly and confusingly different from class inheritance!

Your course proposal is interesting, particularly as it would be a chance to have a less content-heavy, 
more constructionist learning environment. This could pair so well with other initiatives in a school.
I have dreamed for years of using some game framework, having students create games, and then making
them available on a physical console like they used to have in video arcades, perhaps in the school library 
or a hallway. I think the experience of creating a game and then having it become a hit with peers 
would be powerful.

Chris
